<app-container [title]="'VERBS'" fxLayout="column">
    
    <!-- search bar -->
    <mat-form-field appearance="fill" color="accent">
        <mat-label>Search a verb</mat-label>
        <input #inputstring matInput (keyup)="searchVerb(inputstring.value)" test-id="verbSearchBar">
        <mat-icon matPrefix>search</mat-icon>
        <a matSuffix (click)="settings()" test-id="settingsButton">
            <mat-icon>settings</mat-icon>
        </a>
    </mat-form-field>
    
    <!-- table -->
    <div class="tableContainer">
        <div *ngIf="verbs$ | async as verbs">
            <table mat-table [dataSource]="verbs">
                <ng-container matColumnDef="baseVerbal">
                    <th mat-header-cell *matHeaderCellDef>Base Verbal</th>
                    <td mat-cell *matCellDef="let verb">{{verb.baseVerbal}}</td>
                </ng-container>
                <ng-container matColumnDef="simplePast">
                    <th mat-header-cell *matHeaderCellDef>Simple Past</th>
                    <td mat-cell *matCellDef="let verb">{{verb.simplePast}}</td>
                </ng-container>
                <ng-container matColumnDef="pastParticipe">
                    <th mat-header-cell *matHeaderCellDef>Past Participe</th>
                    <td mat-cell *matCellDef="let verb">{{verb.pastParticipe}}</td>
                </ng-container>
                <tr class="mat-override" mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
        </div>
    </div>
    
</app-container>